Я хочу использовать Pycurl в своем первом проекте Python на Raspbian, но у меня есть некоторые трудности при его установке. Во время процесса установки (по pip) все, казалось, прошло хорошо, ничего не ошибалось, но когда я пытаюсь это реализовать, из-за ошибки ide. Я пробовал много предложенных решений в других шагах, но я ни к чему не привел.

0
Muhaha 21 Дек 2019 в 03:14

1 ответ

Если ошибка не является модулем с именем pycurl, то наиболее вероятной причиной является то, что пакет плохо установлен.

Общая причина этого заключается в том, что ваша виртуальная среда недостаточно активирована, поэтому вы не установили ее глобально, и она не входит в вашу среду.

Если у вас нет виртуальной среды, значит, вы установили пакет глобально. Наиболее распространенная причина ошибки отсутствия модуля заключается в том, что вы установили ее в другой версии Python, которую вы используете в своем коде.

Дважды проверьте, где вы устанавливаете пакеты и какую версию использует ваш проект!

0
Yacine Mahdid 21 Дек 2019 в 01:04